### Method

# Gimp PDB lookup_procedure

#### Declaration [src]

    GimpProcedure*
    gimp_pdb_lookup_procedure (
      GimpPDB* pdb,
      const gchar* procedure_name
    )

#### Description [src]

This function returns the `GimpProcedure` which is registered with `procedure_name` if it exists, or returns `NULL` otherwise.

The returned `GimpProcedure` is owned by `pdb` and must not be modified.

Available since: | 3.0

#### Parameters

`procedure_name` | `const gchar*`
| A procedure name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GimpProcedure`
| A `GimpProcedure`, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.